HDF: hdf/src/cskphuff_priv.h File Reference

Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.4.0 API Reference |

Loading...
Searching...
No Matches
cskphuff_priv.h File Reference
`#include "hdf_priv.h"`

## Data Structures
struct | comp_coder_skphuff_info_t

## Macros
#define | SKPHUFF_MAX_CHAR 255
#define | SUCCMAX (SKPHUFF_MAX_CHAR + 1)
#define | TWICEMAX (2 * SUCCMAX + 1)
#define | ROOT 0

## Functions
int32 | HCPcskphuff_stread (accrec_t *rec)
int32 | HCPcskphuff_stwrite (accrec_t *rec)
int32 | HCPcskphuff_seek (accrec_t *access_rec, int32 offset, int origin)
int32 | HCPcskphuff_inquire (accrec_t *access_rec, int32 *pfile_id, uint16 *ptag, uint16 *pref, int32 *plength, int32 *poffset, int32 *pposn, int16 *paccess, int16 *pspecial)
int32 | HCPcskphuff_read (accrec_t *access_rec, int32 length, void *data)
int32 | HCPcskphuff_write (accrec_t *access_rec, int32 length, const void *data)
int | HCPcskphuff_endaccess (accrec_t *access_rec)

## Variables
funclist_t | cskphuff_funcs

## Macro Definition Documentation

## ◆ ROOT

#define ROOT 0

## ◆ SKPHUFF_MAX_CHAR

#define SKPHUFF_MAX_CHAR 255

## ◆ SUCCMAX

#define SUCCMAX (SKPHUFF_MAX_CHAR + 1)

## ◆ TWICEMAX

#define TWICEMAX (2 * SUCCMAX + 1)

## Function Documentation

## ◆ HCPcskphuff_endaccess()

int HCPcskphuff_endaccess | ( | accrec_t * | access_rec | ) |
| extern

## ◆ HCPcskphuff_inquire()

int32 HCPcskphuff_inquire | ( | accrec_t * | access_rec,
|  | int32 * | pfile_id,
|  | uint16 * | ptag,
|  | uint16 * | pref,
|  | int32 * | plength,
|  | int32 * | poffset,
|  | int32 * | pposn,
|  | int16 * | paccess,
|  | int16 * | pspecial )
| extern

## ◆ HCPcskphuff_read()

int32 HCPcskphuff_read | ( | accrec_t * | access_rec,
|  | int32 | length,
|  | void * | data )
| extern

## ◆ HCPcskphuff_seek()

int32 HCPcskphuff_seek | ( | accrec_t * | access_rec,
|  | int32 | offset,
|  | int | origin )
| extern

## ◆ HCPcskphuff_stread()

int32 HCPcskphuff_stread | ( | accrec_t * | rec | ) |
| extern

## ◆ HCPcskphuff_stwrite()

int32 HCPcskphuff_stwrite | ( | accrec_t * | rec | ) |
| extern

## ◆ HCPcskphuff_write()

int32 HCPcskphuff_write | ( | accrec_t * | access_rec,
|  | int32 | length,
|  | const void * | data )
| extern

## Variable Documentation

## ◆ cskphuff_funcs

funclist_t cskphuff_funcs
| extern